unit Main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ComCtrls, ToolWin, MSWord;

type
  TfrmMain = class(TForm)
    OpenDialog: TOpenDialog;
    MSWordDocument: TMSWordDocument;
    tbMain: TToolBar;
    btnOpen: TToolButton;
    memoDocument: TMemo;
    ImageList: TImageList;
    btnStatistic: TToolButton;
    btnSeparator1: TToolButton;
    btnClose: TToolButton;
    btnAbout: TToolButton;
    btnOrder: TToolButton;
    btnSeparator2: TToolButton;
    procedure btnOpenClick(Sender: TObject);
    procedure btnCloseClick(Sender: TObject);
    procedure btnOrderClick(Sender: TObject);
    procedure btnStatisticClick(Sender: TObject);
    procedure btnAboutClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmMain: TfrmMain;

implementation

{$R *.DFM}
uses ShellAPI, SumInfo;

procedure TfrmMain.btnOpenClick(Sender: TObject);
begin
  if OpenDialog.Execute then
  begin
    MSWordDocument.FileName := OpenDialog.FileName;
    MSWordDocument.Execute;
    memoDocument.Lines.Assign(MSWordDocument.PlainText);
    btnStatistic.Enabled := True
  end;
end;

procedure TfrmMain.btnStatisticClick(Sender: TObject);
begin
  with TfrmSummaryInfo.Create(Application) do
    try
      with lvSummary.Items.Add do
      begin
        Caption := 'FileName';
        SubItems.Add(MSWordDocument.FileName)
      end;

      with lvSummary.Items.Add do
      begin
        Caption := 'Title';
        SubItems.Add(MSWordDocument.SummaryInformation.Title)
      end;
      with lvSummary.Items.Add do
      begin
        Caption := 'Subject';
        SubItems.Add(MSWordDocument.SummaryInformation.Subject)
      end;
      with lvSummary.Items.Add do
      begin
        Caption := 'Author';
        SubItems.Add(MSWordDocument.SummaryInformation.Author)
      end;

      with lvSummary.Items.Add do
      begin
        Caption := 'Keywords';
        SubItems.Add(MSWordDocument.SummaryInformation.Keywords)
      end;
      with lvSummary.Items.Add do
      begin
        Caption := 'Comments';
        SubItems.Add(MSWordDocument.SummaryInformation.Comments)
      end;
      with lvSummary.Items.Add do
      begin
        Caption := 'Template';
        SubItems.Add(MSWordDocument.SummaryInformation.Template)
      end;

      with lvSummary.Items.Add do
      begin
        Caption := 'LastAuthor';
        SubItems.Add(MSWordDocument.SummaryInformation.LastAuthor)
      end;
      with lvSummary.Items.Add do
      begin
        Caption := 'Created';
        SubItems.Add(DateToStr(MSWordDocument.SummaryInformation.Created))
      end;
      with lvSummary.Items.Add do
      begin
        Caption := 'LastSaved';
        SubItems.Add(DateToStr(MSWordDocument.SummaryInformation.LastSaved))
      end;
      with lvSummary.Items.Add do
      begin
        Caption := 'LastPrinted';
        SubItems.Add(DateToStr(MSWordDocument.SummaryInformation.LastPrinted))
      end;
      with lvSummary.Items.Add do
      begin
        Caption := 'RevNumber';
        SubItems.Add(MSWordDocument.SummaryInformation.RevNumber)
      end;
      with lvSummary.Items.Add do
      begin
        Caption := 'EditTime (min)';
        SubItems.Add(IntToStr(MSWordDocument.SummaryInformation.EditTime))
      end;

      with lvSummary.Items.Add do
      begin
        Caption := 'PageCount';
        SubItems.Add(IntToStr(MSWordDocument.SummaryInformation.PageCount))
      end;
      with lvSummary.Items.Add do
      begin
        Caption := 'CharCount';
        SubItems.Add(IntToStr(MSWordDocument.SummaryInformation.CharCount))
      end;
      with lvSummary.Items.Add do
      begin
        Caption := 'WordCount';
        SubItems.Add(IntToStr(MSWordDocument.SummaryInformation.WordCount))
      end;

      ShowModal
    finally
      Free
    end;
end;

procedure TfrmMain.btnCloseClick(Sender: TObject);
begin
  Close
end;

procedure TfrmMain.btnOrderClick(Sender: TObject);
begin
  ShellExecute(0, 'open', 'http://www.scalabium.com/smorder.htm', nil, nil, SW_SHOWNORMAL);
end;

procedure TfrmMain.btnAboutClick(Sender: TObject);
begin
  Application.MessageBox('TMSWordDocument component, written by Scalabium Software'#13#10 +
                         ''#13#10 +
                         'Allow to read documents created in MS Word without MS Word installed'#13#10 +
                         'Direct and native document processing allow to extract a text very-very fast'#13#10 +
                         ''#13#10 +
                         'For additional tech information or support ask Mike Shkolnik:' + #13#10 +
                         'http://www.scalabium.com, e-mail: mshkolnik@scalabium.com' + #13#10#13#10 +
                         'You can order a product at:  http://www.scalabium.com/smorder.htm'#13#10,
                         'About TMSWordDocument v1.2', MB_OK);
end;

end.
